export declare type addCountMutationVariables = {
    amount: number;
};
export declare type addCountMutation = {
    addCount: {
        amount: number;
    } | null;
};
export declare type addPersonMutationVariables = {
    name: string;
    sex: string;
};
export declare type addPersonMutation = {
    addPerson: {
        id: string | null;
        name: string | null;
    } | null;
};
export declare type getCountQuery = {
    count: {
        amount: number;
    } | null;
};
export declare type getPersonQueryVariables = {
    id: string;
};
export declare type getPersonQuery = {
    getPerson: {
        id: string | null;
        name: string | null;
        sex: string | null;
        matches: Array<{
            id: string | null;
            name: string | null;
            sex: string | null;
            matches: Array<{
                id: string | null;
                name: string | null;
                sex: string | null;
                matches: Array<{
                    id: string | null;
                    name: string | null;
                    sex: string | null;
                } | null> | null;
            } | null> | null;
        } | null> | null;
    } | null;
};
export declare type getPersonsQuery = {
    persons: Array<{
        id: string | null;
        name: string | null;
    } | null> | null;
};
export declare type subscribeToCountSubscription = {
    subscribeToCount: {
        amount: number;
    } | null;
};
export declare type IFolderQuery = {
    folder: string;
    excludePattern?: any;
    includePattern?: any;
    fileEncoding?: string;
    disregardIgnoreFiles?: boolean;
};
export declare type IPatternInfo = {
    pattern: string;
    isRegExp?: boolean;
    isWordMatch?: boolean;
    wordSeparators?: string;
    isMultiline?: boolean;
    isCaseSensitive?: boolean;
    isSmartCase?: boolean;
};
export declare type SearchMutationVariables = {
    query: {
        extraFileResources?: [string];
        filePattern?: string;
        fileEncoding?: string;
        maxResults?: number;
        exists?: boolean;
        sortByScore?: boolean;
        cacheKey?: string;
        useRipgrep?: boolean;
        disregardIgnoreFiles?: boolean;
        disregardExcludeSettings?: boolean;
        ignoreSymlinks?: boolean;
        type: string;
        excludePattern?: any;
        includePattern?: any;
        contentPattern?: IPatternInfo;
        folderQueries?: [IFolderQuery];
        usingSearchPaths?: boolean;
    };
};
export declare type SearchMutation = {
    search: {
        limitHit?: boolean;
        results?: Array<{
            resource?: string;
            lineMatches?: Array<{
                preview?: string;
                lineNumber?: number;
                offsetAndLengths?: any;
            } | null> | null;
        } | null> | null;
        stats: {
            fromCache: boolean;
            resultCount: number;
            unsortedResultTime?: number;
            sortedResultTime?: number;
        } | null;
    } | null;
};
